org.flexdock.docking.event

## Interface DockingListener

- All Superinterfaces:
    java.util.EventListener
  All Known Subinterfaces:
    Dockable, DockingPort
  All Known Implementing Classes:
    AbstractDockable, DefaultDockingPort, DockableComponentWrapper, DockingListener.Stub, DockingStateListener, FloatingDockingPort, FloatPolicyManager, View, Viewport

      public interface DockingListener
      extends java.util.EventListener

  Author:
    Kevin Duffey, Christopher Butler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `DockingListener.Stub`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dockingCanceled(DockingEvent evt)` Fired when docking of a `Dockable` is canceled during the operation.
    `void` | `dockingComplete(DockingEvent evt)` Fired when docking of a `Dockable` has completed.
    `void` | `dragStarted(DockingEvent evt)` Fired when the dragging of a `Dockable` has begun.
    `void` | `dropStarted(DockingEvent evt)` Fired when the dropping of a `Dockable` has begun at the release of a drag-operation.
    `void` | `undockingComplete(DockingEvent evt)`
    `void` | `undockingStarted(DockingEvent evt)`

- - ### Method Detail

    - #### dockingComplete

          void dockingComplete(DockingEvent evt)

      Fired when docking of a `Dockable` has completed.
      Parameters:
        `evt` - the `DockingEvent` event which provides the source Dockable, the old DockingPort and the new DockingPort

    - #### dockingCanceled

          void dockingCanceled(DockingEvent evt)

      Fired when docking of a `Dockable` is canceled during the operation.
      Parameters:
        `evt` - the `DockingEvent` event which provides the source Dockable, the old DockingPort and the new DockingPort

    - #### dragStarted

          void dragStarted(DockingEvent evt)

      Fired when the dragging of a `Dockable` has begun.
      Parameters:
        `evt` - the `DockingEvent` event which provides the source Dockable, the old DockingPort and the new DockingPort

    - #### dropStarted

          void dropStarted(DockingEvent evt)

      Fired when the dropping of a `Dockable` has begun at the release of a drag-operation.
      Parameters:
        `evt` - the `DockingEvent` event which provides the source Dockable, the old DockingPort and the new DockingPort

    - #### undockingComplete

          void undockingComplete(DockingEvent evt)

    - #### undockingStarted

          void undockingStarted(DockingEvent evt)